@use "../../../../global/styles-variables" as *;

.header {
    border-bottom: solid var(--digi--border-width--primary) var(--digi--color--border--neutral-2);
    
    ::ng-deep .digi-layout-container {

        @media screen and (max-width: $digi--breakpoint--medium-below) {
            --digi-layout-container--width: 100%;
        }
    }

    &__logo-link {
        text-decoration: none;
    }
    
    &__content {
        display: flex;
        align-items: center;
    }

    &__buttons {
        margin-left: auto;
        display: flex;

        ::ng-deep .digi-button__text {

            @media screen and (max-width: $digi--breakpoint--medium-below) {
                display: none;
            }
        }
    }
}